Use this method to add a comment to Manager Log Line
Permissions: Unit users.
Path Parameters
- Type: stringFormat: uuididrequired
Manager Log ID
- Type: stringFormat: uuidline
I D requiredManager Log Line ID
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
- Type: stringFormat: date-timeBusiness
Date Date of "future" Manager Log
- Type: string | nullComment
Comment text. String(max)
- Type: booleanIs
Proposed True if is created for "future" Manager Log
- Type: booleanIs
To Do True if comment should have To Do checkbox
Responses
Request Example for post/v2/ManagerLog/{id}/{lineID}
curl /v2/ManagerLog/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/C895A81E-0C20-42C0-B2DC-EAF43F9447BD \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"Comment": null,
"IsToDo": true,
"IsProposed": true,
"BusinessDate": ""
}'
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"LineID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Comment": null,
"Initials": null,
"PostTime": "2026-10-16T20:54:18.539Z",
"ToDo": null,
"BusinessDate": "2026-10-16T20:54:18.539Z",
"LogID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ServerPostTimeUtc": "2026-10-16T20:54:18.539Z"
}